<?php
/*************************************************************
**   Feuillet
**   (C) Renaud LAURETTE 2017-2024
*************************************************************/

/**
 * Retourne la liste des basemaps reconnues par feuillet
 * Cette liste doit être alignée avec la variable this.baseMaps de Feuillet.js
 */
function feuillet_liste_api()
{
	$laliste= array(
		'OSM',
		'Plan IGN v2',
		'IGN aérien',
		//'Google Hybrid',
		//'Google Streets',
		'Esri Street Map',
		'Esri Topo Map',
		'Esri Imagery',
		//'ArcGIS Streets',
		'CartoDB',
		'Local'
		);
	return $laliste;
}


if (!function_exists('lire_json')) {
	function lire_json($fichier)
	{
		$content = file_get_contents($fichier);
		$jx = json_decode($content);
		$out = json_encode($jx);
		return $out;
	}
}


?>